petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetField

Return the discretization object for a given DM field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetField(DM dm, PetscInt f, PetscObject *field)

Not collective

### Input Parameters

| dm | - The DM
| f | - The field number

### Output Parameter

field -The discretization object

### See Also

DMSetField()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages